summaryrefslogtreecommitdiffstats
path: root/development/source-highlight
diff options
context:
space:
mode:
Diffstat (limited to 'development/source-highlight')
-rw-r--r--development/source-highlight/README8
-rw-r--r--development/source-highlight/slack-desc16
-rw-r--r--development/source-highlight/source-highlight.SlackBuild75
-rw-r--r--development/source-highlight/source-highlight.info8
4 files changed, 107 insertions, 0 deletions
diff --git a/development/source-highlight/README b/development/source-highlight/README
new file mode 100644
index 0000000000..a89cde7bdc
--- /dev/null
+++ b/development/source-highlight/README
@@ -0,0 +1,8 @@
+GNU's source highlight tool
+
+GNU Source-highlight, given a source file, produces a document with
+syntax highlighting. It comes with a lot of example css files
+
+It depends on the BOOST C++ Library ( www.boost.org ), for which
+the build script is available at slackbuilds.org
+
diff --git a/development/source-highlight/slack-desc b/development/source-highlight/slack-desc
new file mode 100644
index 0000000000..e1e2f04dc4
--- /dev/null
+++ b/development/source-highlight/slack-desc
@@ -0,0 +1,16 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+source-highlight: GNU's source highlight tool
+source-highlight:
+source-highlight: GNU Source-highlight, given a source file, produces a
+source-highlight: document with syntax highlighting.
+source-highlight: It comes with a lot of example css files
+source-highlight:
+source-highlight: See: http://www.gnu.org/software/src-highlite/
+source-highlight:
diff --git a/development/source-highlight/source-highlight.SlackBuild b/development/source-highlight/source-highlight.SlackBuild
new file mode 100644
index 0000000000..ee3f51d936
--- /dev/null
+++ b/development/source-highlight/source-highlight.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for source-highlight
+# Written by luoyi (luoyi.ly@gmail.com)
+
+# Modified by the slackbuilds.org project
+
+PRGNAM=source-highlight
+VERSION=${VERSION:-2.9}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+rm -f $PKG/usr/share/info/dir
+gzip -9 $PKG/usr/share/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PKG/usr/share/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc/$PRGNAM
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/source-highlight/source-highlight.info b/development/source-highlight/source-highlight.info
new file mode 100644
index 0000000000..c3c122f451
--- /dev/null
+++ b/development/source-highlight/source-highlight.info
@@ -0,0 +1,8 @@
+PRGNAM="source-highlight"
+VERSION="2.9"
+HOMEPAGE="http://www.gnu.org/software/src-highlite/"
+DOWNLOAD="ftp://ftp.gnu.org/gnu/src-highlite/source-highlight-2.9.tar.gz"
+MD5SUM="80a947681d32b0fe515a5cd01f9582a7"
+MAINTAINER="luoyi"
+EMAIL="luoyi.ly@gmail.com"
+APPROVED="Michiel"